import pygame as pg
pg.init()  
pg.display.set_caption("Peščani sat")
(sirina, visina) = (330, 350)
prozor = pg.display.set_mode((sirina, visina))

# učitavamo u listu slike sat1.jpg,...,sat8.jpg
slike = []   # lista u koju dodajemo slike
for i in range(1, 8):
    # gradimo naziv slike od delova
    naziv_slike = "185 sat" + str(i) + ".jpg"  
    # učitavamo sliku i dodajemo je na kraj liste
    slike.append(pg.image.load(naziv_slike))   

slika = 1  # indeks prve slike

def crtaj():
    prozor.fill(pg.Color("white"))    # bojimo pozadinu prozora u belo
    prozor.blit(slike[slika], (0, 0))  # prikazujemo sliku

def novi_frejm():
    global slika  # ovu globalnu promenljivu menjamo
    slika = (slika + 1) % len(slike)  # prelazimo na sledeću sliku

kraj = False
sat = pg.time.Clock()  # sat koji određuje broj frejmova u sekundi
while not kraj:
    # crtamo i ažuriramo sadržaj prozora
    crtaj()
    pg.display.update()

    # proveravamo da li je korisnik isključio prozor
    for dogadjaj in pg.event.get():
        if dogadjaj.type == pg.QUIT:
            kraj = True

    # pauziramo do sledećeg frejma
    sat.tick(5)
    novi_frejm()

pg.quit() # isključujemo rad biblioteke PyGame
